/*
 * Copyright (c) 2007, Going Dot Com Inc. All rights reserved.
 */

package jp.co.going.xbrl.taxonomy;

/**
 * @author Going Dot Com Inc.
 */
class XbResourceItemAttrObj {
    // リソースアイテム属性 ID
    private long resource_item_attr_id;
    // リソースアイテム ID
    private long resource_item_id;
    // 属性名
    private String attribute_name;
    // 属性値
    private String attribute_value;
    
    /**
     * @return attribute_name
     */
    protected String getAttribute_name() {
        return attribute_name;
    }
    /**
     * @param attribute_name 設定する attribute_name
     */
    protected void setAttribute_name(String attribute_name) {
        this.attribute_name = attribute_name;
    }
    /**
     * @return attribute_value
     */
    protected String getAttribute_value() {
        return attribute_value;
    }
    /**
     * @param attribute_value 設定する attribute_value
     */
    protected void setAttribute_value(String attribute_value) {
        this.attribute_value = attribute_value;
    }
    /**
     * @return resource_item_attr_id
     */
    protected long getResource_item_attr_id() {
        return resource_item_attr_id;
    }
    /**
     * @param resource_item_attr_id 設定する resource_item_attr_id
     */
    protected void setResource_item_attr_id(long resource_item_attr_id) {
        this.resource_item_attr_id = resource_item_attr_id;
    }
    /**
     * @return resource_item_id
     */
    protected long getResource_item_id() {
        return resource_item_id;
    }
    /**
     * @param resource_item_id 設定する resource_item_id
     */
    protected void setResource_item_id(long resource_item_id) {
        this.resource_item_id = resource_item_id;
    }

}
